XORRISO-TCLTK(1)

NAME
xorriso-tcltk - Educational GUI frontend for xorriso

SYNOPSIS
xorriso-tcltk [ options ]

DESCRIPTION

xorriso-tcltk demonstrates xorriso use cases by a collection of GUI components.

It creates a window with buttons, editable text fields, and list boxes. For exploration simply start xorriso-tcltk without any options.

Click on the "Help" button at the upper right edge to get an overview help text in a separate window. It explains the three main parts of the GUI window and it gives examples for a few main use cases of xorriso.

Click by the rightmost mouse button on any button, list box, or text field, to get a specific help text in another window.

xorriso is a program which copies file objects from POSIX compliant filesystems into Rock Ridge enhanced ISO 9660 filesystems and performs session-wise manipulation of such filesystems. It can load the management information of existing ISO images and it writes the session results to optical media or to filesystem objects.
Vice versa xorriso is able to copy file objects out of ISO 9660 filesystems.

OPTIONS

  Normally, no program options are needed when
xorriso-tcltk gets started. Some of the options are for demonstration of program development. This man page lists only those options which may be helpful for end users.

--help
    Print a help text with the complete list of start options and exit.

--no_extract
    Do not allow extraction of files from ISO filesystem to hard disk. This is not revokable during the program run.

--geometry {+|-}X{+|-}Y
    Set the position of the main window on the screen. +0X is the left edge, -0X is the right edge, +0Y is the upper edge, -0Y is the lower edge.

--click_to_focus
    Chooses that input fields and list boxes get the keyboard focus only when being clicked by the mouse. This is the default.

--auto_focus
    Chooses that the keyboard focus is where the mouse pointer is.

EXAMPLES
Just run xorriso-tcltk in a shell terminal without any further arguments

FILES

  Startup files:
When starting xorriso, its normal startup files get read and their text lines get executed as commands. See section FILES in the man page of xorriso or chapter Files in the info document of xorriso.

SEE ALSO

xorriso(1)

BUGS
To report bugs, request help, or suggest enhancements for xorriso or xorriso-tcltk, please send electronic mail to the public list <bug-xorriso@gnu.org>. If more privacy is desired, mail to <scdbackup@gmx.net>.
Please describe what you expect the program to do, the program arguments, GUI components, or dialog commands by which you tried to achieve it, the messages of xorriso, and the undesirable outcome of your program run.
Expect to get asked more questions before solutions can be proposed.

AUTHOR
Thomas Schmitt <scdbackup@gmx.net>
for libburnia-project.org

COPYRIGHT
Copyright (c) 2011 - 2019 Thomas Schmitt
Permission is granted to distribute this text freely. It shall only be modified in sync with the technical properties of xorriso-tcltk. If you make use of the license to derive modified versions of xorriso-tcltk then you are entitled to modify this text under that same license.

CREDITS
xorriso is in part based on work by Vreixo Formoso who provides libisofs together with Mario Danic who also leads the libburnia team. Thanks to Andy Polyakov who invented emulated growing, to Derek Foreman and Ben Jansens who once founded libburn.
Compliments towards Joerg Schilling whose cdrtools served me for ten years.